/*
**
*/
'@echo off'

If RxFuncQuery('SysLoadFuncs') <> 0 Then
  If RxFuncAdd('SysLoadFuncs','RexxUtil','SysLoadFuncs') <>0 Then Do
    Say 'Unable to init REXX Utility function loader.'
    Exit
  End
Call SysLoadFuncs
parse arg key

vtx='e:/os2utils/texmfv'
vtp='e:\os2utils\texmfv\vtex\bin;'

env='OS2ENVIRONMENT'
pth=value('path',,env)
rcx=value('path',vtp||pth, env)
rcx=value('PGMDIR',vtx||'/vtex/bin/' ,env)
rcx=value('INCDIR',vtx||'/vtex/src/' ,env)
rcx=value('FMTDIR',vtx||'/vtex/fmt/' ,env)
rcx=value('TMPDIR',vtx||'/vtex/tmp/' ,env)
rcx=value('GRFDIR',vtx||'/vtex/src/' ,env)
rcx=value('TFMDIR',vtx||'/fonts/tfm/',env)
rcx=value('VFSDIR',vtx||'/fonts/vf/' ,env)
rcx=value('ENCDIR',vtx||'/vtex/enc/' ,env)

select
    when key='latex' then
    do
        call directory(strip(value(fmtdir,,env),'t','/'))
        call SysFileDelete('texsys.aux')
        'vtex -i -s'||vtx||'/tex/latex/base/ latex.fid'
    end

    when key='plain' then
    do
        call directory(strip(value(fmtdir,,env),'t','/'))
        'vtex -i -s'||vtx||'/tex/plain/base/ plain.fid'
    end
    otherwise
    do
       say 'Usage: vtexmake <latex|plain>'
       return;
    end
end
